Skip to main content
POST
/
integration-hooks
Create an integration hook
curl --request POST \
  --url https://rest.breakcold.com/api/v1/integration-hooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "workspace_id",
  "platform": "zapier",
  "targetUrl": "https://hooks.zapier.com/hooks/catch/123/abc",
  "eventType": "record.created"
}
'
import requests

url = "https://rest.breakcold.com/api/v1/integration-hooks"

payload = {
"workspaceId": "workspace_id",
"platform": "zapier",
"targetUrl": "https://hooks.zapier.com/hooks/catch/123/abc",
"eventType": "record.created"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 'workspace_id',
platform: 'zapier',
targetUrl: 'https://hooks.zapier.com/hooks/catch/123/abc',
eventType: 'record.created'
})
};

fetch('https://rest.breakcold.com/api/v1/integration-hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hook": {
    "id": "<string>",
    "endpointId": "<string>",
    "workspaceId": "<string>"
  }
}
{
"hook": {
"id": "<string>",
"endpointId": "<string>",
"workspaceId": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"retryAfterMs": 123
}
}

Authorizations

Authorization
string
header
required

Breakcold public API key, for example Bearer bc_live_....

Headers

X-Breakcold-Organization-Id
string

Breakcold organization ID. API keys already carry their organization, so most API-key requests do not need this header. Use it only when Breakcold asks you to choose an organization for a signed-in user token.

Body

application/json
workspaceId
string
required
Minimum string length: 6
platform
enum<string>
required
Available options:
zapier,
make
targetUrl
string<uri>
required
eventType
enum<string>
required
Available options:
record.created,
record.updated,
record.deleted,
note.created,
note.updated,
note.deleted,
task.created,
task.completed,
relation.added,
relation.removed,
call.linked,
call.unlinked,
file.uploaded,
file.deleted
filterObjectTypeIds
string[]
Minimum string length: 6

Response

Success

hook
object
required